From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/swtpm/
Date: Wed, 11 May 2022 21:31:29 +0000 (UTC) [thread overview]
Message-ID: <1652304683.4976a5b493b6feb24f2779d47e91c35c7a69ac34.mattst88@gentoo> (raw)
commit: 4976a5b493b6feb24f2779d47e91c35c7a69ac34
Author: Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Fri Apr 29 16:31:48 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed May 11 21:31:23 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4976a5b4
app-crypt/swtpm: add 0.7.3
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-crypt/swtpm/Manifest | 1 +
app-crypt/swtpm/swtpm-0.7.3.ebuild | 70 ++++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/app-crypt/swtpm/Manifest b/app-crypt/swtpm/Manifest
index f524ff510e56..61a540486411 100644
--- a/app-crypt/swtpm/Manifest
+++ b/app-crypt/swtpm/Manifest
@@ -1 +1,2 @@
DIST swtpm-0.7.2.tar.gz 353941 BLAKE2B e4d69919b5d255cff5eb9cda4c98e84e9fd53290360312742f95d63444ad5279fc7808e7f2e040cc2c87475c409b3c0f22e54ca301e8cb18bee71290f661ecc8 SHA512 91a8f9371a13f5f6bb329ef4bd7638fb9abe5ec84631b1d22e7eb9abcb91b7f3cccfdf147f65d54c03bf4d8a141b6b5fb6385d90f78d35096bd3b8ce140d39cb
+DIST swtpm-0.7.3.tar.gz 354088 BLAKE2B 687e3161cbc08be68427648187ba2fb05749bcaaf9929b951eea4884bd4210c6105a2494f5e7d51915e5be1b700b13889cd83c96d22e00d621ea9336221ee67b SHA512 7f4cdf7ca2539f28e3a78e2a081b24983f3305905c7cafcac0957b14f5c06c8ee9485a0adaf3710561091f9ee85e00822fe1ff874389808218c1e17f938c45d9
diff --git a/app-crypt/swtpm/swtpm-0.7.3.ebuild b/app-crypt/swtpm/swtpm-0.7.3.ebuild
new file mode 100644
index 000000000000..d0ec3be7f7be
--- /dev/null
+++ b/app-crypt/swtpm/swtpm-0.7.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10} )
+
+inherit autotools python-any-r1
+
+DESCRIPTION="Libtpms-based TPM emulator"
+HOMEPAGE="https://github.com/stefanberger/swtpm"
+SRC_URI="https://github.com/stefanberger/swtpm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="fuse +gnutls seccomp test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="fuse? (
+ dev-libs/glib:2
+ sys-fs/fuse:0
+ )
+ gnutls? (
+ dev-libs/libtasn1:=
+ >=net-libs/gnutls-3.1.0:=[tools,pkcs11]
+ )
+ seccomp? ( sys-libs/libseccomp )
+ acct-group/tss
+ acct-user/tss
+ dev-libs/openssl:0=
+ dev-libs/json-glib
+ dev-libs/libtpms"
+
+DEPEND="${RDEPEND}
+ test? (
+ net-misc/socat
+ dev-tcltk/expect
+ )"
+
+BDEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.6.0-fix-localca-path.patch"
+ "${FILESDIR}/${PN}-0.5.0-build-sys-Remove-WError.patch"
+ "${FILESDIR}/${PN}-0.7.2-Conditionalize-test-dependencies.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --with-openssl \
+ --without-selinux \
+ $(use_with fuse cuse) \
+ $(use_with gnutls) \
+ $(use_with seccomp) \
+ $(use_enable test)
+}
+
+src_install() {
+ default
+ fowners -R tss:root /var/lib/swtpm-localca
+ fperms 750 /var/lib/swtpm-localca
+ keepdir /var/lib/swtpm-localca
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2022-05-11 21:31 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-11 21:31 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-18 7:41 [gentoo-commits] repo/gentoo:master commit in: app-crypt/swtpm/ Joonas Niilola
2024-07-18 7:41 Joonas Niilola
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-04-26 6:55 Joonas Niilola
2024-04-26 6:55 Joonas Niilola
2023-12-17 7:22 Joonas Niilola
2023-12-17 7:22 Joonas Niilola
2023-12-17 0:05 Sam James
2023-12-16 16:17 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-09-16 15:54 Matthias Maier
2023-09-14 16:09 Mike Gilbert
2023-09-14 15:10 Matthias Maier
2023-09-09 13:17 David Seifert
2023-09-09 13:17 David Seifert
2023-08-19 22:32 Conrad Kostecki
2023-07-29 4:43 Sam James
2023-07-29 3:46 Matthias Maier
2023-07-06 17:28 Matthias Maier
2023-03-30 17:17 Arthur Zamarin
2023-02-20 14:47 Arthur Zamarin
2023-02-20 13:50 Sam James
2023-02-20 13:50 Sam James
2023-02-20 9:39 Joonas Niilola
2022-12-24 2:59 Sam James
2022-12-04 15:59 WANG Xuerui
2022-11-22 9:10 Matthias Maier
2022-10-26 4:04 John Helmert III
2022-05-20 9:17 Agostino Sarubbo
2022-05-19 9:27 Agostino Sarubbo
2022-05-17 12:38 Agostino Sarubbo
2022-05-17 12:37 Agostino Sarubbo
2022-05-17 9:58 Agostino Sarubbo
2022-05-11 21:31 Matt Turner
2022-03-11 0:04 Ionen Wolkens
2022-03-11 0:04 Ionen Wolkens
2022-03-10 6:48 Yixun Lan
2022-02-19 5:17 Sam James
2022-02-19 5:17 Sam James
2021-11-10 10:59 Ionen Wolkens
2021-09-24 7:22 Joonas Niilola
2021-09-24 7:22 Joonas Niilola
2021-09-24 7:22 Joonas Niilola
2021-09-13 6:33 Joonas Niilola
2021-09-08 1:25 Sam James
2021-07-24 15:22 Sam James
2021-07-12 21:59 Sam James
2021-07-06 17:59 Sam James
2021-06-29 4:40 Sam James
2021-06-29 4:40 Sam James
2021-06-26 3:56 Matthias Maier
2021-05-02 17:22 Mikle Kolyada
2021-04-25 8:00 Michał Górny
2021-01-31 13:09 Joonas Niilola
2021-01-31 13:09 Joonas Niilola
2020-11-24 13:26 Joonas Niilola
2020-11-24 13:26 Joonas Niilola
2020-11-20 15:10 Sam James
2020-11-20 15:10 Sam James
2020-11-20 15:10 Sam James
2020-10-12 9:06 Joonas Niilola
2020-08-05 12:19 Joonas Niilola
2020-06-20 9:56 Conrad Kostecki
2020-06-20 9:56 Conrad Kostecki
2020-04-23 7:41 Joonas Niilola
2020-04-23 7:41 Joonas Niilola
2020-03-03 14:54 Joonas Niilola
2020-03-03 14:54 Joonas Niilola
2020-02-19 13:32 Joonas Niilola
2020-02-19 13:32 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1652304683.4976a5b493b6feb24f2779d47e91c35c7a69ac34.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox